Share feedback
Answers are generated based on the documentation.

Schema

Error

Type: object

Error envelope returned on all non-2xx responses.
error · required

Type: object

Error detail.
code · required

Type: string

Machine-readable error code. not_found: the requested resource does not exist, the org does not exist, or the caller is not a member of the organization (the organization's existence is not revealed to callers who cannot access it). conflict: a resource with the same name already exists. invalid_argument: the request body is malformed or fails validation. unauthenticated: missing or invalid credentials. permission_denied: the org is not entitled to use governance. limit_exceeded: the org has reached its maximum number of policies, or the policy has reached its maximum number of rules. unimplemented: the endpoint or feature is not yet available. internal: unexpected server error.
All schema constraints and annotations
{
  "description": "Machine-readable error code. `not_found`: the requested resource does not exist, the org does not exist, or the caller is not a member of the organization (the organization's existence is not revealed to callers who cannot access it). `conflict`: a resource with the same name already exists. `invalid_argument`: the request body is malformed or fails validation. `unauthenticated`: missing or invalid credentials. `permission_denied`: the org is not entitled to use governance. `limit_exceeded`: the org has reached its maximum number of policies, or the policy has reached its maximum number of rules. `unimplemented`: the endpoint or feature is not yet available. `internal`: unexpected server error.\n",
  "enum": [
    "not_found",
    "conflict",
    "invalid_argument",
    "unauthenticated",
    "permission_denied",
    "limit_exceeded",
    "unimplemented",
    "internal"
  ],
  "type": "string"
}
message · required

Type: string

All schema constraints and annotations
{
  "type": "string"
}
All schema constraints and annotations
{
  "description": "Error detail.",
  "examples": [
    {
      "code": "not_found",
      "message": "policy not found"
    }
  ],
  "properties": {
    "code": {
      "description": "Machine-readable error code. `not_found`: the requested resource does not exist, the org does not exist, or the caller is not a member of the organization (the organization's existence is not revealed to callers who cannot access it). `conflict`: a resource with the same name already exists. `invalid_argument`: the request body is malformed or fails validation. `unauthenticated`: missing or invalid credentials. `permission_denied`: the org is not entitled to use governance. `limit_exceeded`: the org has reached its maximum number of policies, or the policy has reached its maximum number of rules. `unimplemented`: the endpoint or feature is not yet available. `internal`: unexpected server error.\n",
      "enum": [
        "not_found",
        "conflict",
        "invalid_argument",
        "unauthenticated",
        "permission_denied",
        "limit_exceeded",
        "unimplemented",
        "internal"
      ],
      "type": "string"
    },
    "message": {
      "type": "string"
    }
  },
  "required": [
    "code",
    "message"
  ],
  "type": "object"
}
All schema constraints and annotations
{
  "description": "Error envelope returned on all non-2xx responses.",
  "properties": {
    "error": {
      "description": "Error detail.",
      "examples": [
        {
          "code": "not_found",
          "message": "policy not found"
        }
      ],
      "properties": {
        "code": {
          "description": "Machine-readable error code. `not_found`: the requested resource does not exist, the org does not exist, or the caller is not a member of the organization (the organization's existence is not revealed to callers who cannot access it). `conflict`: a resource with the same name already exists. `invalid_argument`: the request body is malformed or fails validation. `unauthenticated`: missing or invalid credentials. `permission_denied`: the org is not entitled to use governance. `limit_exceeded`: the org has reached its maximum number of policies, or the policy has reached its maximum number of rules. `unimplemented`: the endpoint or feature is not yet available. `internal`: unexpected server error.\n",
          "enum": [
            "not_found",
            "conflict",
            "invalid_argument",
            "unauthenticated",
            "permission_denied",
            "limit_exceeded",
            "unimplemented",
            "internal"
          ],
          "type": "string"
        },
        "message": {
          "type": "string"
        }
      },
      "required": [
        "code",
        "message"
      ],
      "type": "object"
    }
  },
  "required": [
    "error"
  ],
  "type": "object"
}